<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:ic="http://ivyteam.ch/jsf/component"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions">
<h:body>
	<ui:composition template="/layouts/basic-8.xhtml">
		<ui:define name="title">#{ivy.cms.co('/i18n/mainHeaderTitle')}</ui:define>
		<ui:define name="content">
            <h1>#{ivy.cms.co('/i18n/mainHeaderTitle')}</h1>
            <p:messages id="messages" />
            <h:form id="formCreator">
	            <div class="ui-g">
	            	<div class="ui-g-4">
	            		<p:outputLabel for="dataPersonName" value="#{ivy.cms.co('/i18n/nameCreatorTitle')}"/>
	            	</div>
	            	<div class="ui-g-8">
	                	<p:inputText 
	                	id="dataPersonName" 
	                	value="#{data.creator.name}" 
	                	required="true" 
	                	requiredMessage="#{ivy.cms.co('/i18n/errorNameCreator')}" 
	                	readonly="#{data.isProjectManager}" 
	                	disabled="#{data.isProjectManager}" />
	                </div>
	                <br/>
	                <br/>
	                <div class="ui-g-4">
	            		<p:outputLabel for="date" value="#{ivy.cms.co('/i18n/dateSubmitTitle')}" />
	            	</div>
	            	<div class="ui-g-8">
	                	<p:calendar 
	                	id="date" 
	                	value="#{data.creator.date}" 
	                	pattern="dd/MM/yyyy" 
	                	autocomplete="off" 
	                	required="true" 
	                	showOn="both" 
	                	styleClass="myCalendar" 
	                	requiredMessage="#{ivy.cms.co('/i18n/errorDateSubmit')}" 
	                	readonly="#{data.isProjectManager}" 
	                	disabled="#{data.isProjectManager}" />
	                </div>
	                <br/>
	                <br/>
	                <div class="ui-g-4">
	            		<p:outputLabel for="dataPersonTeam" value="#{ivy.cms.co('/i18n/commentTitle')}" />
	            	</div>
	            	<div class="ui-g-8">
	                	<p:inputTextarea 
	                	id="dataPersonTeam" 
	                	value="#{data.creator.comment}" 
	                	required="true" 
	                	requiredMessage="#{ivy.cms.co('/i18n/errorComment')}" 
	                	readonly="#{data.isProjectManager}" 
	                	disabled="#{data.isProjectManager}" />
	                </div>
	            </div>
            </h:form>
            
            <h2>#{ivy.cms.co('/i18n/secondaryHeaderTitle')}</h2>
            
            <h:panelGroup id="data" layout="block">
            	<h:form id="formTable">
                 <p:commandButton 
                 update="employeeDialog" 
                 actionListener="#{logic.preAdd()}" 
                 value="#{ivy.cms.co('/i18n/addBtnTitle')}" 
                 oncomplete="PF('employeeDialog').show()" 
                 id="dialogAddButton" icon="ui-icon-plusthick" 
                 style="display:block; float: right" />
                 <br/>
                 <br/>
                 <p:dataTable id="theTable" widgetVar="theTable" value="#{data.employees}" var="employee" rows="8">
                     <p:column headerText="#{ivy.cms.co('/i18n/nameEmployeeTitle')}" sortBy="#{employee.name}" filterBy="#{employee.name}">
                         <h:outputText value="#{employee.name}"/>
                     </p:column>
                     <p:column headerText="#{ivy.cms.co('/i18n/ageEmployeeTitle')}" sortBy="#{employee.age}" filterBy="#{employee.age}">
                         <h:outputText value="#{employee.age}"/>
                     </p:column>
         
                     <p:column headerText="#{ivy.cms.co('/i18n/teamEmployeeTitle')}" sortBy="#{employee.team}" filterBy="#{employee.team}">
                         <h:outputText value="#{employee.team}"/>
                     </p:column>
                     <p:column headerText="Actions" style="width:7em;">
                       <p:commandLink 
                       update="employeeDialog" 
                       actionListener="#{logic.preEdit(employee, employee.getId())}" 
                       value="#{ivy.cms.co('/i18n/editBtnTitle')}" 
                       oncomplete="PF('employeeDialog').show()" 
                       id="dialogEditButton" />
                       <p:spacer width="10" height="10" />
                       <p:commandLink 
                       update="formTable" 
                       actionListener="#{logic.deleteEmployee(employee)}" 
                       value="#{ivy.cms.co('/i18n/deleteBtnTitle')}" 
                       rendered="#{!data.isProjectManager}">
							<p:confirm
								header="#{ivy.cms.co('/i18n/confirmHeader')}"
								message="#{ivy.cms.co('/i18n/confirmMessage')}"
								icon="ui-icon-alert" />
					  </p:commandLink>
	                  <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" responsive="true" width="350">
				          <p:commandButton value="#{ivy.cms.co('/i18n/noBtnTitle')}" type="button" styleClass="ui-confirmdialog-no ui-button-flat"/>
				          <p:commandButton value="#{ivy.cms.co('/i18n/yesBtnTitle')}" type="button" styleClass="ui-confirmdialog-yes"/>
				      </p:confirmDialog>
                    </p:column>
                 </p:dataTable> 
                </h:form>
                <br/>
                <p:commandButton style="float: right;" 
                validateClient="true"
                actionListener="#{logic.submit(data.isProjectManager)}" 
                update="formCreator messages" value="#{ivy.cms.co('/i18n/submitBtnTitle')}" 
                rendered="#{!data.isProjectManager}" />
            </h:panelGroup>
            <h:form id="formFeedback" rendered="#{data.isProjectManager}">
            	<div class="ui-g">
            		<div class="ui-g-4">
	            		<p:outputLabel for="feedBackForm" value="#{ivy.cms.co('/i18n/feedBack')}" />
	            	</div>
	            	<div class="ui-g-8">
	                	<p:inputTextarea 
	                	id="feedBackForm" 
	                	value="#{data.formFeedback}" 
	                	required="true" 
	                	requiredMessage="#{ivy.cms.co('/i18n/errorFeedback')}" 
	                	actionListener="#{logic.close}" />
	                </div>
	                <div class="ui-g-12">
					    <hr/>
				       	<div class="ui-g" style="float: right;">	
				       		<p:commandButton 
				       		value="#{ivy.cms.co('/i18n/cancelBtnTitle')}"  
				       		id="cancelFormBtn"
				       		style="float: right;" 
				       		update="formCreator formFeedback messages"/>
						    <p:spacer width="10"/>
						    <p:commandButton 
						    value="#{ivy.cms.co('/i18n/submitBtnTitle')}" 
					        id="submitFormBtn" 
					        style="float: right;" 
					        update="formCreator formFeedback messages" 
					        actionListener="#{logic.submit(data.isProjectManager)}"
					        />
	            		</div>
	            	</div>
	            </div>
            </h:form>
        	
        	<p:dialog widgetVar="employeeDialog"
				minHeight="40" width="350" modal="true" appendTo="@(body)"
				id="employeeDialog">
				<h:form id="employee">
					<p:messages id="dialogMsg" />
					<ic:practive.DialogComponent
						headerDialog="#{data.headerDialog}" 
						employeeDialog="#{data.employee}" 
						isUpdateDialog="#{data.isUpdateDialog}" 
						isProjectManager="#{data.isProjectManager}"
						actionListener="#{logic.saveData(data.employee, data.isUpdateDialog)}" />
				</h:form>
			</p:dialog>
		</ui:define>
	</ui:composition>
</h:body>
<style type="text/css">
    .ui-filter-column .ui-column-customfilter .custom-filter {
        width: 100%;
        box-sizing: border-box;
    }
</style>
</html>